[linux-audio-user] Patch-2.6.20-rt8 and Nvidia Drivers

Reuben Martin reuben.m at gmail.com
Mon Mar 12 18:22:05 EDT 2007


I believe only the migration helpers patch is needed for the legacy 96** series.

On 3/12/07, Thomas Kuther <gimpel at sonnenkinder.org> wrote:
> On Mo, 12.03.07 19:00 David Baron <d_baron at 012.net.il> wrote:
>
> > At least the 9631 version of the Nvidia video driver did not compile
> > after the patch was applied and the kernel successfully build and
> > booted. Same would definitely hold for older Nvidia versions and
> > possibly newer ones as well.
> >
> > Problem: A bunch of obseleted #define SA_..... entries
> > in the linux source/include/linux/interrupt.h
> >
> > They say do not use in newer code but Nvidia does need them.
> >
> > Solution: Copy these from an older or unpatched version of this file
> > and then paste into the new one. One need not rebuild the kernel
> > since these are no longer used there. After do this, Nvidia will
> > build and run fine (so far).
>
> Don't "fix" the kernel, but fix the drivers ;)
> Patches for 9746 driver attached.
>
> Tom
>
>


More information about the linux-audio-user mailing list